﻿
namespace RadControlsSilverlightApp1.Web
{
	using System.Linq;
	using System.ServiceModel.DomainServices.EntityFramework;
	using System.ServiceModel.DomainServices.Hosting;


	// Implements application logic using the NORTHWNDEntities context.
	// TODO: Add your application logic to these methods or in additional methods.
	// TODO: Wire up authentication (Windows/ASP.NET Forms) and uncomment the following to disable anonymous access
	// Also consider adding roles to restrict access as appropriate.
	// [RequiresAuthentication]
	[EnableClientAccess()]
	public class NorthwindDomainService : LinqToEntitiesDomainService<NORTHWNDEntities>
	{

		// TODO:
		// Consider constraining the results of your query method.  If you need additional input you can
		// add parameters to this method or create additional query methods with different names.
		// To support paging you will need to add ordering to the 'Customers' query.
		public IQueryable<Customer> GetCustomers()
		{
			return this.ObjectContext.Customers;
		}


		public IQueryable<Customer> GetCustomersByID(string CustomerID)
		{
			return this.ObjectContext.Customers.Include("Orders").Where(cust => cust.CustomerID == CustomerID);
		}

		public IQueryable<Customer> GetAllCustomersButID(string CustomerID)
		{
			return this.ObjectContext.Customers.Include("Orders").Where(cust => cust.CustomerID != CustomerID);
		}


		// TODO:
		// Consider constraining the results of your query method.  If you need additional input you can
		// add parameters to this method or create additional query methods with different names.
		// To support paging you will need to add ordering to the 'Orders' query.
		public IQueryable<Order> GetOrders()
		{
			return this.ObjectContext.Orders;
		}
	}
}


