﻿using System.Windows.Controls;
using RadControlsSilverlightApp1.Web;
using System.Collections.ObjectModel;
using System.ServiceModel.DomainServices.Client;

namespace RadControlsSilverlightApp1
{
	public partial class MainPage : UserControl
	{
		NorthwindDomainContext ctx1 = new NorthwindDomainContext();
		NorthwindDomainContext ctx2 = new NorthwindDomainContext();
		public MainPage()
		{
			InitializeComponent();
			this.Loaded += new System.Windows.RoutedEventHandler(MainPage_Loaded);
		}

		void MainPage_Loaded(object sender, System.Windows.RoutedEventArgs e)
		{
			var operation = ctx1.Load(ctx1.GetCustomersByIDQuery("ALFKI"));
			operation.Completed += new System.EventHandler(operation_Completed);
		
			var operation2=ctx2.Load(ctx2.GetAllCustomersButIDQuery("ALFKI"));
			operation2.Completed += new System.EventHandler(operation2_Completed);
		}

		void operation2_Completed(object sender, System.EventArgs e)
		{
			ObservableCollection<Customer> Items = new ObservableCollection<Customer>(ctx2.Customers);
			this.treeView2.ItemsSource = Items;
		}

		void operation_Completed(object sender, System.EventArgs e)
		{
			ObservableCollection<Customer> Items = new ObservableCollection<Customer>(ctx1.Customers);
			this.treeView1.ItemsSource = Items;
		}
	}
}
